Subject: Re: DLL Helpers v0.2.5
From: "Neil Lunn" <[email-masked]>
To: [email-masked], [email-masked]
Cc: [email-masked]
Date: Tue, 05 Sep 2000 22:05:16 EST

>From: Helge Hess <[email-masked]>
>To: Charles Wilson <[email-masked]>
>CC: cygwin list <[email-masked]>
>Subject: Re: DLL Helpers v0.2.5
>Date: Tue, 05 Sep 2000 13:41:30 +0200
>
>Hi,
>
>removing dllinit didn't help. Here is the compilation:

Remeber to serach the mailing list archive:

http://sources.redhat.com/ml/cygwin/2000-08/msg00256.html

Neil

>---snip---
>helge@DOGBERT ~/ddev/dllhelpers-0.2.5/c
>$ make
>gcc -c -DBUILDING_DLL=1 -I. -g -Wall  -o cdll.o cdll.c
>dllwrap --export-all --output-def cdll.def --implib libcdll.a
>--driver-name gcc -o cdll.dll \
>     cdll.o
>dllwrap: no export definition file provided
>dllwrap: creating one, but that may not be what you want
>/usr/bin/ld: warning: cannot find entry symbol __cygwin_dll_entry@12;
>defaulting to 6c501000
>/usr/bin/ld: warning: cannot find entry symbol __cygwin_dll_entry@12;
>defaulting to 6c501000
>/usr/bin/ld: warning: cannot find entry symbol __cygwin_dll_entry@12;
>defaulting to 6c501000
>gcc -c -I. -g -Wall  -o usedll.o usedll.c
>gcc -o usedll.exe -g -Wall   usedll.o -L./ -lcdll
>---snap---
>
>No dllinit anymore, still the warning and usedll.exe still pops up the
>panel and breaks.
>
>Helge
>
>Charles Wilson wrote:
> >
> > I think you need to edit the makefile and remove 'dllinit.o' from the
> > dllwrap command line.  It's no longer necessary; dllwrap will add its
> > own entry code.
> >
> > --Chuck
> >
> > Helge Hess wrote:
> > >
> > > Hi,
> > >
> > > are the 'DLL Helpers v0.2.5' supposed to work with the latest Cygwin
> > > release as available from the Cygnus WebSite (using this new Net-Setup
> > > thing) ?
> > > I did a fresh install of it and cannot get DLLs working anymore (I had
> > > some makefiles myself which do not work anymore and dllhelpers don't
> > > work either ..)
> > >
> > > Some logs are below, I guess the problem is the ld warning about the
> > > entry point, but I don't know what to do against it.
> > >
> > > When I start usedll I get a Windows error panel (in German) basically
> > > saying that the cdll.dll is not correctly programmed and that the
> > > stackpointer is passed in an inconsistent state. It says further that
> > > the entrypoint should be defined as WINAPI or STDCALL. Then I can 
>choose
> > > to continue or to abort where continue leads to a program stop ...
> > >
> > > Thanks for any suggestion,
> > >   Helge
> > >
> > > ps: all this is on NT4, SP6.
> > >
> > > Compilation:
> > > ---snip---
> > > helge@DOGBERT ~/ddev/dllhelpers-0.2.5/c
> > > $ ./makeit.bat
> > >
> > > C:\cygwin\home\helge\ddev\dllhelpers-0.2.5\c>gcc -c -DBUILDING_DLL=1 
>-I.
> > > -g -Wall  -o cdll.o cdll.c
> > >
> > > C:\cygwin\home\helge\ddev\dllhelpers-0.2.5\c>gcc -c -DBUILDING_DLL=1 
>-I.
> > > -g -Wall  -o dllinit.o dlli
> > > nit.c
> > >
> > > C:\cygwin\home\helge\ddev\dllhelpers-0.2.5\c>dllwrap --export-all
> > > --output-def cdll.def --implib lib
> > > cdll.a -o cdll.dll cdll.o dllinit.o
> > > dllwrap: no export definition file provided
> > > dllwrap: creating one, but that may not be what you want
> > > /usr/bin/ld: warning: cannot find entry symbol __cygwin_dll_entry@12;
> > > defaulting to 6c501000
> > > /usr/bin/ld: warning: cannot find entry symbol __cygwin_dll_entry@12;
> > > defaulting to 6c501000
> > > /usr/bin/ld: warning: cannot find entry symbol __cygwin_dll_entry@12;
> > > defaulting to 6c501000
> > >
> > > C:\cygwin\home\helge\ddev\dllhelpers-0.2.5\c>gcc -c -I. -g -Wall  -o
> > > usedll.o usedll.c
> > >
> > > C:\cygwin\home\helge\ddev\dllhelpers-0.2.5\c>dllwrap --export-all
> > > --output-def cdll.def --implib lib
> > > cdll.a -o cdll.dll cdll.o dllinit.o
> > > dllwrap: no export definition file provided
> > > dllwrap: creating one, but that may not be what you want
> > > /usr/bin/ld: warning: cannot find entry symbol __cygwin_dll_entry@12;
> > > defaulting to 6c501000
> > > /usr/bin/ld: warning: cannot find entry symbol __cygwin_dll_entry@12;
> > > defaulting to 6c501000
> > > /usr/bin/ld: warning: cannot find entry symbol __cygwin_dll_entry@12;
> > > defaulting to 6c501000
> > >
> > > C:\cygwin\home\helge\ddev\dllhelpers-0.2.5\c>gcc -o usedll.exe -g
> > > -Wall   usedll.o -L./ -lcdll
> > >
> > > helge@DOGBERT ~/ddev/dllhelpers-0.2.5/c
> > > $
> > > ---snap---
> > >
> > > --
> > > Want to unsubscribe from this list?
> > > Send a message to [email-masked]
>
>--
>Want to unsubscribe from this list?
>Send a message to [email-masked]
>

_________________________________________________________________________
Get Your Private, Free E-mail from MSN Hotmail at http://www.hotmail.com.

Share information about yourself, create your own public profile at 
http://profiles.msn.com.

--
Want to unsubscribe from this list?
Send a message to [email-masked]